# Method: networks.shipments.list

Lists the Shipments.

### HTTP request

`GET https://middlemileoptimization.googleapis.com/v1/{parent=networks/*}/shipments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of shipments. Format: "networks/{network}" |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of shipments to return. The service may return fewer than this value. If unspecified, at most 50 shipments will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `shipments.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `shipments.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

The response message for `shipments.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "shipments": [ { object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.shipments#Shipment`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `shipments[]` | ``object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.shipments#Shipment`)`` The shipments from the specified network. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |